# $Revision: 1.3 $, $Date: 2005/09/24 22:23:01 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Lingua
%define	pnam	EN-Numbers-Ordinate
Summary:	Lingua::EN::Numbers::Ordinate - go from cardinal number (3) to ordinal ("3rd")
Summary(pl):	Lingua::EN::Numbers::Ordinate - zamiana liczebnikw gwnych (3) na porzdkowe (3rd)
Name:		perl-Lingua-EN-Numbers-Ordinate
Version:	1.02
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	e92078fafd9108a137972c4e9bae9e99
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
There are two kinds of numbers in English - cardinals (1, 2, 3...),
and ordinals (1st, 2nd, 3rd...). This library provides functions for
giving the ordinal form of a number, given its cardinal value.

%description -l pl
W jzyku angielskim s dwa rodzaje liczebnikw - gwne (cardinals: 1,
2, 3...) oraz porzdkowe (ordinals: 1st, 2nd, 3rd...). Ta biblioteka
udostpnia funkcje do uzyskiwania formy porzdkowej z formy gwnej.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README
%dir %{perl_vendorlib}/Lingua/EN/Numbers
%{perl_vendorlib}/Lingua/EN/Numbers/Ordinate.pm
%{_mandir}/man3/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Lingua-EN-Numbers-Ordinate.spec,v $
Revision 1.3  2005/09/24 22:23:01  glen
- rel 1

Revision 1.2  2005/09/05 17:52:43  qboosh
- pl

Revision 1.1  2005/09/05 12:57:56  glen
- new
